#   Make file for Turbo Assembler
#   Copyright (c) 1996 by Borland International, Inc.
#       make -B                 Will build the release version
#       make -B -DDEBUG         Will build the debug version

NAME = DevId32
OBJS = $(NAME).obj Ring0.obj IDEAta32.obj IDEAtaNT.obj StdIO.obj
DEF  = $(NAME).def
RES  = $(NAME).res

!if $d(DEBUG)
TASMDEBUG=/zi
LINKDEBUG=/v
!else
TASMDEBUG=/m /q /t
LINKDEBUG=/x
!endif

!if $d(MAKEDIR)
IMPORT=$(MAKEDIR)\..\lib\import32
!else
IMPORT=import32
!endif


$(NAME).exe: $(OBJS) $(DEF) $(RES)
  tlink32 /Tpe /ap /c $(LINKDEBUG) @&&|
DevId32.obj+
Ring0.obj+
IDEAta32.obj+
IDEAtaNT.obj+
StdIO.obj
|, $(NAME).exe,, $(IMPORT), $(DEF), $(RES)
  @if exist *.obj del *.obj
  @if exist *.lst del *.lst
  @if exist *.res del *.res
  @if exist *.map del *.map
  @if exist *.tr2 del *.tr2
  @if exist *.td2 del *.td2

.asm.obj:
  tasm32 /ml $(TASMDEBUG) $&.asm

$(RES): $(NAME).rc
  brcc32 $(NAME).rc
